docker-build:
  # Use the official docker image.
  image: docker:latest
  stage: build
  services:
    - docker:dind


# Use this if your GitLab runner does not use socket binding
#services:
#  - docker:dind

  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

  only:
    - tags
  script:
    - docker pull $CI_REGISTRY_IMAGE:latest || true
    - >
      docker build
      --pull
      --cache-from $CI_REGISTRY_IMAGE:latest
      --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
      .
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
